## kf6-kservice 6.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.6.0") # handled by release scripts
set(KF_DEP_VERSION "6.6.0") # handled by release scripts
project(KService VERSION ${KF_VERSION})

# Disallow in-source build
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "KService requires an out of source build. Please create a separate build directory and run 'cmake path_to_kservice [options]' there.")
endif()

# ECM setup
include(FeatureSummary)
find_package(ECM 6.6.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(kservice_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kservice_version.h")
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KSERVICE
                  VERSION_HEADER "${kservice_version_header}"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ServiceConfigVersion.cmake"
                  SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.5.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)

find_package(KF6Config ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_DEP_VERSION} CONFIG)

add_definitions(-DTRANSLATION_DOMAIN=\"kservice6\")

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 5.102.0
)

ki18n_install(po)

if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

if (KF6DocTools_FOUND)
    add_subdirectory(docs)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Service")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Service_QCH
        FILE KF6ServiceQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6ServiceQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6ServiceConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6ServiceConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(EXPORT KF6ServiceTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6ServiceTargets.cmake NAMESPACE KF6:: )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF6ServiceConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF6ServiceConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

install(FILES ${kservice_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KService COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kservice 6.3.0

=== debian/changelog ===
kf6-kservice (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:59:11 +0200

kf6-kservice (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Apr 2024 00:10:59 +0200

kservice (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:02:28 +0100

kservice (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:40 +0200

kservice (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.104.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:58 +0100

kservice (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:29 +0100

kservice (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:07 +0100

kservice (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.101.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:31 +0100

kservice (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:02 +0100

kservice (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:45 +0200

kservice (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:36 +0200

kservice (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Update symbols from build for 5.96.0.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:05 +0200

kservice (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kservice (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kservice (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Add lintian override for libkf5service5 dependency on ibkf5service-bin.
  * Update symbols.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

kservice (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

kservice (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:00:37 +0900

kservice (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

kservice (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:05:42 +0900

kservice (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:09 +0900

kservice (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:24:19 +0900

kservice (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Drop a symbol that is save to be dropped.
    (IRC communication from RikMills that according to David Faure (KDE fw release guy)
    the vanishing can be ignored.)

 -- Norbert Preining <norbert@preining.info>  Sun, 09 May 2021 01:39:12 +0900



=== debian/control ===
Source: kf6-kservice
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
Rules-Requires-Root: no

Package: libkf6service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca6.

Package: libkf6service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf6service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-dev (>= 6.3.0~),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkf6doctools-dev (>= 6.3.0~),
         libkf6i18n-dev (>= 6.3.0~),
         libkf6service6 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf6service-doc (= ${source:Version}),
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf6service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6service6
Architecture: any
Multi-Arch: same
Depends: libkf6service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6service-bin (= ${binary:Version}),
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.

## kf6-kservice 6.6.0

=== debian/changelog ===
kf6-kservice (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:31 +0200

kf6-kservice (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Stop disabling the build_stamp dh addon: the little saved by that is not
    worth the extra maintenance cost.
  * Drop the unused ${shlibs:Depends} substvar from libkf6service-data.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 19:15:24 +0200

kf6-kservice (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:08 +0200

kf6-kservice (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6doctools-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6doctools-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -34,7 +34,7 @@
 Package: libkf6service-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -45,10 +45,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.3.0~),
-         libkf6coreaddons-dev (>= 6.3.0~),
-         libkf6doctools-dev (>= 6.3.0~),
-         libkf6i18n-dev (>= 6.3.0~),
+Depends: libkf6config-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6doctools-dev (>= 6.6.0~),
+         libkf6i18n-dev (>= 6.6.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),

## kf6-kservice 6.9.0

=== debian/changelog ===
kf6-kservice (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:48:46 +0000

kf6-kservice (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:38:17 +0000

kf6-kservice (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:07:36 +0100

kf6-kservice (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:22 +0100

kf6-kservice (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:35:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kservice
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,17 +10,17 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6doctools-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6doctools-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kservice
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
 Rules-Requires-Root: no
 
 Package: libkf6service-bin
@@ -34,7 +35,7 @@
 Package: libkf6service-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -45,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.6.0~),
-         libkf6coreaddons-dev (>= 6.6.0~),
-         libkf6doctools-dev (>= 6.6.0~),
-         libkf6i18n-dev (>= 6.6.0~),
+Depends: libkf6config-dev (>= 6.9.0~),
+         libkf6coreaddons-dev (>= 6.9.0~),
+         libkf6doctools-dev (>= 6.9.0~),
+         libkf6i18n-dev (>= 6.9.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),

## kf6-kservice 6.10.0

=== debian/changelog ===
kf6-kservice (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:11 +0100

kf6-kservice (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:11:40 +0100

kf6-kservice (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:27 -0600

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-kservice
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6config-dev (>= 6.9.0~),
-               libkf6coreaddons-dev (>= 6.9.0~),
-               libkf6doctools-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6doctools-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kservice
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
 Rules-Requires-Root: no
 
 Package: libkf6service-bin
@@ -35,7 +34,7 @@
 Package: libkf6service-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -46,10 +45,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.9.0~),
-         libkf6coreaddons-dev (>= 6.9.0~),
-         libkf6doctools-dev (>= 6.9.0~),
-         libkf6i18n-dev (>= 6.9.0~),
+Depends: libkf6config-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.10.0~),
+         libkf6doctools-dev (>= 6.10.0~),
+         libkf6i18n-dev (>= 6.10.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),

## kf6-kservice 6.11.0

=== debian/changelog ===
kf6-kservice (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:23:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6doctools-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6doctools-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -45,10 +45,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.10.0~),
-         libkf6coreaddons-dev (>= 6.10.0~),
-         libkf6doctools-dev (>= 6.10.0~),
-         libkf6i18n-dev (>= 6.10.0~),
+Depends: libkf6config-dev (>= 6.11.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
+         libkf6doctools-dev (>= 6.11.0~),
+         libkf6i18n-dev (>= 6.11.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),

## kf6-kservice 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.6.0") # handled by release scripts
-set(KF_DEP_VERSION "6.6.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -11,7 +11,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.6.0  NO_MODULE)
+find_package(ECM 6.12.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -41,7 +41,7 @@
                   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
 
 find_package(KF6Config ${KF_DEP_VERSION} CONFIG REQUIRED)
@@ -52,8 +52,8 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kservice6\")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.5
-    KF 5.102.0
+    QT 6.8.0
+    KF 6.11.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-kservice (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:54:28 +0000

kf6-kservice (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:49:49 +0000

kf6-kservice (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:21:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kf6-kservice
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6doctools-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               qt6-base-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6doctools-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kservice
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
 Rules-Requires-Root: no
 
 Package: libkf6service-bin
@@ -34,7 +35,7 @@
 Package: libkf6service-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -45,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.11.0~),
-         libkf6coreaddons-dev (>= 6.11.0~),
-         libkf6doctools-dev (>= 6.11.0~),
-         libkf6i18n-dev (>= 6.11.0~),
+Depends: libkf6config-dev (>= 6.12.0~),
+         libkf6coreaddons-dev (>= 6.12.0~),
+         libkf6doctools-dev (>= 6.12.0~),
+         libkf6i18n-dev (>= 6.12.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),

## kf6-kservice 6.13.0

=== debian/changelog ===
kf6-kservice (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:36:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-kservice
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6doctools-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6doctools-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kservice
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
 Rules-Requires-Root: no
 
 Package: libkf6service-bin
@@ -35,7 +34,7 @@
 Package: libkf6service-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -46,10 +45,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.12.0~),
-         libkf6coreaddons-dev (>= 6.12.0~),
-         libkf6doctools-dev (>= 6.12.0~),
-         libkf6i18n-dev (>= 6.12.0~),
+Depends: libkf6config-dev (>= 6.13.0~),
+         libkf6coreaddons-dev (>= 6.13.0~),
+         libkf6doctools-dev (>= 6.13.0~),
+         libkf6i18n-dev (>= 6.13.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),

## kf6-kservice 6.14.0

=== src/CMakeLists.txt ===
include(CheckSymbolExists)
include(CheckFunctionExists)
check_function_exists(mmap HAVE_MMAP)
check_symbol_exists(posix_madvise "sys/mman.h" HAVE_MADVISE)
configure_file(config-ksycoca.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksycoca.h )

add_library(KF6Service)
add_library(KF6::Service ALIAS KF6Service)

set_target_properties(KF6Service PROPERTIES
    VERSION     ${KSERVICE_VERSION}
    SOVERSION   ${KSERVICE_SOVERSION}
    EXPORT_NAME Service
)

target_sources(KF6Service PRIVATE
   services/kapplicationtrader.cpp
   services/kmimetypefactory.cpp
   services/kservice.cpp
   services/kserviceaction.cpp
   services/kservicefactory.cpp
   services/kservicegroup.cpp
   services/kservicegroupfactory.cpp
   services/kserviceoffer.cpp
   sycoca/ksycoca.cpp
   sycoca/ksycocadevices.cpp
   sycoca/ksycocadict.cpp
   sycoca/ksycocaentry.cpp
   sycoca/ksycocafactory.cpp
   sycoca/kmemfile.cpp
   sycoca/kbuildmimetypefactory.cpp
   sycoca/kbuildservicefactory.cpp
   sycoca/kbuildservicegroupfactory.cpp
   sycoca/kbuildsycoca.cpp
   sycoca/kctimefactory.cpp
   sycoca/kmimeassociations.cpp
   sycoca/vfolder_menu.cpp
)

ecm_qt_declare_logging_category(KF6Service
    HEADER servicesdebug.h
    IDENTIFIER SERVICES
    CATEGORY_NAME kf.service.services
    OLD_CATEGORY_NAMES kf5.kservice.services
    EXPORT KSERVICE
    DESCRIPTION "service (kservice lib)"
)
ecm_qt_declare_logging_category(KF6Service
    HEADER sycocadebug.h
    IDENTIFIER SYCOCA
    CATEGORY_NAME kf.service.sycoca
    OLD_CATEGORY_NAMES kf5.kservice.sycoca
    EXPORT KSERVICE
    DESCRIPTION "sycoca (kservice)"
)

ecm_generate_export_header(KF6Service
    BASE_NAME KService
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.90
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

set(kservice_includes
   ${CMAKE_CURRENT_BINARY_DIR}/.. # Since we publicly include kservice_version.h
   ${CMAKE_CURRENT_SOURCE_DIR}/services
   ${CMAKE_CURRENT_SOURCE_DIR}/sycoca
)
target_include_directories(KF6Service
    PUBLIC
        "$<BUILD_INTERFACE:${kservice_includes}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KService>"
)

target_link_libraries(KF6Service
PUBLIC
    Qt6::Core
PRIVATE
    Qt6::Xml  # (for vfolder menu) QDomDocument
    KF6::ConfigCore   # KConfig and friends
    KF6::CoreAddons   # KShell
)

ecm_generate_headers(KService_HEADERS
  HEADER_NAMES
  KSycoca
  KSycocaEntry
  KSycocaType

  RELATIVE sycoca REQUIRED_HEADERS KService_HEADERS
)
ecm_generate_headers(KService_HEADERS
  HEADER_NAMES
  KApplicationTrader
  KService
  KServiceAction
  KServiceGroup

  RELATIVE services REQUIRED_HEADERS KService_HEADERS
)

install(TARGETS KF6Service EXPORT KF6ServiceTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/kservice_export.h"
   ${KService_HEADERS}
   ${CMAKE_CURRENT_SOURCE_DIR}/services/kserviceconversioncheck_p.h # helper header included by kservice.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KService COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KSERVICE
    FILE kservice.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF6Service_QCH
        NAME KService
        BASE_NAME KF6Service
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KService_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            KF6Config_QCH
            KF6CoreAddons_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
            ${kservice_includes}
        BLANK_MACROS
            KSERVICE_EXPORT
            KSERVICE_DEPRECATED
            KSERVICE_DEPRECATED_EXPORT
            "KSERVICE_DEPRECATED_VERSION(x, y, t)"
            "KSERVICE_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

add_subdirectory(kbuildsycoca)

=== debian/changelog ===
kf6-kservice (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kf6-kservice
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6doctools-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
-               qt6-base-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6doctools-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kservice
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
 Rules-Requires-Root: no
 
 Package: libkf6service-bin
@@ -34,7 +35,7 @@
 Package: libkf6service-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -45,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.13.0~),
-         libkf6coreaddons-dev (>= 6.13.0~),
-         libkf6doctools-dev (>= 6.13.0~),
-         libkf6i18n-dev (>= 6.13.0~),
+Depends: libkf6config-dev (>= 6.14.0~),
+         libkf6coreaddons-dev (>= 6.14.0~),
+         libkf6doctools-dev (>= 6.14.0~),
+         libkf6i18n-dev (>= 6.14.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),

## kf6-kservice 6.16.0

=== debian/changelog ===
kf6-kservice (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:47:26 +0100

kf6-kservice (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:35:07 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6config-dev (>= 6.14.0~),
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6doctools-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6doctools-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -46,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.14.0~),
-         libkf6coreaddons-dev (>= 6.14.0~),
-         libkf6doctools-dev (>= 6.14.0~),
-         libkf6i18n-dev (>= 6.14.0~),
+Depends: libkf6config-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.16.0~),
+         libkf6doctools-dev (>= 6.16.0~),
+         libkf6i18n-dev (>= 6.16.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),

## kf6-kservice 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -11,7 +11,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -23,15 +23,12 @@
 include(KDEGitCommitHooks)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
-include(ECMAddQch)
 include(ECMQtDeclareLoggingCategory)
 include(ECMGenerateExportHeader)
 include(ECMDeprecationSettings)
+include(ECMGenerateQDoc)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(kservice_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kservice_version.h")
 ecm_setup_version(PROJECT
@@ -41,7 +38,7 @@
                   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
 
 find_package(KF6Config ${KF_DEP_VERSION} CONFIG REQUIRED)
@@ -52,8 +49,8 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kservice6\")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 ki18n_install(po)
@@ -74,16 +71,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Service")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Service_QCH
-        FILE KF6ServiceQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6ServiceQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== debian/changelog ===
kf6-kservice (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:17:38 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6doctools-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6doctools-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -46,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.16.0~),
-         libkf6coreaddons-dev (>= 6.16.0~),
-         libkf6doctools-dev (>= 6.16.0~),
-         libkf6i18n-dev (>= 6.16.0~),
+Depends: libkf6config-dev (>= 6.17.0~),
+         libkf6coreaddons-dev (>= 6.17.0~),
+         libkf6doctools-dev (>= 6.17.0~),
+         libkf6i18n-dev (>= 6.17.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),
